Subject: Re: bug#63029: [BUG?] format inconsistency in deciding string widths on different locales

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Apr 2023 17:32:43 +0300

> From: Ruijie Yu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 23 Apr 2023 22:23:16 +0800
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > See also bug#54138 and
> > https://lists.gnu.org/archive/html/emacs-devel/2022-02/msg00917.html.
> 
> Thanks for the link.  I have found the answer in your response there.
> 
> >> And how do we, the elisp users, get this information?
> >
> > I don't understand this question.  Please elaborate: what information
> > do you want to get, besides the width of the characters (which is
> > accessible via char-width-table).
> 
> You mentioning `char-width-table' here and `char-width' on the linked
> thread precisely answered my question.  I was looking for `char-width'
> without knowing its name.  Thanks.

OK, so can we close this issue?

Btw, the recommended method of computing the width of a string is via
string-pixel-width.